Bug 1659769 - Describe docker-digest and docker-tag in doc
Summary: Describe docker-digest and docker-tag in doc
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Documentation
Version: 6.4
Hardware: x86_64
OS: Linux
medium
medium vote
Target Milestone: Unspecified
Assignee: Melanie Corr
QA Contact: Sergei Petrosian
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-16 09:41 UTC by Kenny Tordeurs
Modified: 2019-09-26 17:24 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-01-09 10:30:20 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Kenny Tordeurs 2018-12-16 09:41:54 UTC
Document URL: https://access.redhat.com/documentation/en-us/red_hat_satellite/6.4/html-single/hammer_cli_guide/#hammer-repository-update

Section Number and Name: 10.52.8. hammer repository update

Describe the issue: 
The following options are missed in the documentation but are available in the help section:
~~~
 --docker-digest DIGEST                                    Container Image manifest digest
 --docker-tag TAG                                          Container Image tag                                      
~~~

It would be great to have them described with their purpose because this makes it look like we can update the docker repo so we can specify a specific tag to be synced but it does not work.

~~~
+ hammer repository update --product=docker --organization-id=1 --name=docker --docker-tag latest --docker-digest e1ab1382777dcffe42bb08023c2fa1ef194769537ea9c0aecf4111e21cae5a43
Failed to upload tag 'latest' to repository.
~~~

Suggestions for improvement: 
Better description of both options

Additional information: 

Test creation can be achieved with:

# cat /tmp/docker.sh 
~~~
#!/bin/bash
 hammer product create --name=docker-ktordeur --organization-id=1 
 hammer repository create --product=docker-ktordeur --organization-id=1 --name=docker --content-type=docker  --url=https://registry.access.redhat.com --docker-upstream-name=rhel
 hammer repository update --product=docker --organization-id=1 --name=docker --docker-tag "latest" --docker-digest "e1ab1382777dcffe42bb08023c2fa1ef194769537ea9c0aecf4111e21cae5a43"
 hammer repository synchronize --product=docker-ktordeur --organization-id=1 --name=docker
 hammer repository info --product=docker-ktordeur --organization-id=1 --name=docker
~~~

Comment 1 Melanie Corr 2018-12-17 08:14:56 UTC
Thank you for raising this bug.

Comment 3 Partha Aji 2019-01-02 23:21:25 UTC
~~~
 --docker-digest DIGEST                                    Container Image manifest digest
 --docker-tag TAG                                          Container Image tag                                      
~~~

These attributes are relevant only if some one wants to specify a custom tag for a manifest referred by its digest in the repository (nothing to do with syncing specific tags). For that to happen the manifest with that digest should already be present in the repository. 

More details can be found in https://projects.theforeman.org/issues/22301

Comment 9 Melanie Corr 2019-01-09 10:30:20 UTC
These changes are now live on the Customer Portal

https://access.redhat.com/documentation/en-us/red_hat_satellite/6.4/html/hammer_cli_guide/reference#hammer-repository-update


Note You need to log in before you can comment on or make changes to this bug.